
uniform mat4 u_modelViewProjectionMatrix;
uniform float isDoubleFishEye;

attribute vec4 a_Position;
attribute vec2 a_UV;
attribute vec2 b_UV;
varying vec2 v_texCoord;
varying vec2 v_texCoordB;
varying float v_pos_x;
varying float vary_isDoubleFishEye;

void main() {
    gl_Position = u_modelViewProjectionMatrix * a_Position;
    v_texCoord = a_UV;
    vary_isDoubleFishEye = isDoubleFishEye;
    if(isDoubleFishEye == 1.0)
    {
         v_pos_x = a_Position.x;
         v_texCoordB = b_UV;
    }
    
}
